Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.model
Class RDF_Class

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.model.Resource
            |
            +--gr.forth.ics.vrp.corevrp.model.RDF_Resource
                  |
                  +--gr.forth.ics.vrp.corevrp.model.RDF_Class

Direct Known Subclasses:
  RDF_MetaClass

public class RDF_Class
extends RDF_Resource

RDF_Class.java

Constructor Summary
`RDF_Class()` Create a new RDF_Class.
`RDF_Class(RDF_Resource res)` Cast the RDF_Resource to RDF_Class by creating a new RDF_Class.
`RDF_Class(Resource res)` Cast the Resource to RDF_Class by creating a new RDF_Class.
`RDF_Class(String theURI)` Create a new RDF_Class and set the URI.

Method Summary
`void` | `addsubClassOf(RDF_Class subCO)` Enter a subClassOf statement to the class.
`boolean` | `containssubClassOf_type(RDF_Class c)`
`boolean` | `containssubClassOf_type(String type)`
`ArrayList` | `getsubClassOf()` Get all subClassOf statements of the class.
`boolean` | `has_type(RDF_Class c)` For validation
`void` | `setsubClassOf(ArrayList sub)` Setting the subclass(es) of the class.

Methods inherited from class gr.forth.ics.vrp.corevrp.model.RDF_Resource
`addcomment, addisDefinedBy, addlabel, addseeAlso, addtype, addvalue, addvalue, getcomment, getisDefinedBy, getlabel, getseeAlso, gettype, getvalue, setcomment, setisDefinedBy, setlabel, setseeAlso, settype, setvalue, solve_links`

Methods inherited from class gr.forth.ics.vrp.corevrp.model.Resource
`getID, setID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDF_Class

    public RDF_Class()

  Create a new RDF_Class.

### RDF_Class

    public RDF_Class(String theURI)

  Create a new RDF_Class and set the URI.

### RDF_Class

    public RDF_Class(Resource res)

  Cast the Resource to RDF_Class by creating a new RDF_Class.

### RDF_Class

    public RDF_Class(RDF_Resource res)

  Cast the RDF_Resource to RDF_Class by creating a new RDF_Class.

Method Detail

### addsubClassOf

    public void addsubClassOf(RDF_Class subCO)

  Enter a subClassOf statement to the class.

### getsubClassOf

    public ArrayList getsubClassOf()

  Get all subClassOf statements of the class.

### setsubClassOf

    public void setsubClassOf(ArrayList sub)

  Setting the subclass(es) of the class.

### containssubClassOf_type

    public boolean containssubClassOf_type(String type)

### containssubClassOf_type

    public boolean containssubClassOf_type(RDF_Class c)

### has_type

    public boolean has_type(RDF_Class c)

  Description copied from class: `RDF_Resource`
  For validation

  Overrides:
    `has_type` in class `RDF_Resource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD